it.csi.mddtools.guigen

## Interface AppWindow

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AppWindow
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'App Window'. Finestra applicativa comprendente le parti comuni a tutte le schermate e la parte variabile.

  The following features are supported:

  - `Footer`
  - `Header`
  - `App Area`
  See Also:
    `GuigenPackage.getAppWindow()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationArea` | `getAppArea()` Returns the value of the 'App Area' containment reference
    `Footer` | `getFooter()` Returns the value of the 'Footer' containment reference
    `Header` | `getHeader()` Returns the value of the 'Header' containment reference
    `void` | `setAppArea(ApplicationArea value)` Sets the value of the '`App Area`' containment reference
    `void` | `setFooter(Footer value)` Sets the value of the '`Footer`' containment reference
    `void` | `setHeader(Header value)` Sets the value of the '`Header`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHeader

          Header getHeader()

      Returns the value of the 'Header' containment reference.

      If the meaning of the 'Header' containment reference isn't clear, there really should be more of a description here...

      Header del portale. Comune a tutte le schermate.
      Returns:
        the value of the 'Header' containment reference.
      See Also:
        `setHeader(Header)`, `GuigenPackage.getAppWindow_Header()`

    - #### setHeader

          void setHeader(Header value)

      Sets the value of the '`Header`' containment reference.
      Parameters:
        `value` - the new value of the 'Header' containment reference.
      See Also:
        `getHeader()`

    - #### getFooter

          Footer getFooter()

      Returns the value of the 'Footer' containment reference.

      If the meaning of the 'Footer' containment reference isn't clear, there really should be more of a description here...

      Footer del portale. Comune a tutte le schermate.
      Returns:
        the value of the 'Footer' containment reference.
      See Also:
        `setFooter(Footer)`, `GuigenPackage.getAppWindow_Footer()`

    - #### setFooter

          void setFooter(Footer value)

      Sets the value of the '`Footer`' containment reference.
      Parameters:
        `value` - the new value of the 'Footer' containment reference.
      See Also:
        `getFooter()`

    - #### getAppArea

          ApplicationArea getAppArea()

      Returns the value of the 'App Area' containment reference.

      If the meaning of the 'App Area' containment reference isn't clear, there really should be more of a description here...

      Porzione di finestra dipendente dall'applicazione
      Returns:
        the value of the 'App Area' containment reference.
      See Also:
        `setAppArea(ApplicationArea)`, `GuigenPackage.getAppWindow_AppArea()`

    - #### setAppArea

          void setAppArea(ApplicationArea value)

      Sets the value of the '`App Area`' containment reference.
      Parameters:
        `value` - the new value of the 'App Area' containment reference.
      See Also:
        `getAppArea()`